import y from "../../../@ant-design/icons/es/icons/CheckCircleFilled.mjs";
import d from "../../../@ant-design/icons/es/icons/CloseCircleFilled.mjs";
import x from "../../../@ant-design/icons/es/icons/ExclamationCircleFilled.mjs";
import g from "../../../@ant-design/icons/es/icons/InfoCircleFilled.mjs";
import E from "../../../@ant-design/icons/es/icons/LoadingOutlined.mjs";
import i from "../../../classnames/index.mjs";
import * as o from "react";
import "../../../rc-notification/es/Notifications.mjs";
import O from "../../../rc-notification/es/Notice.mjs";
import "../config-provider/index.mjs";
import P from "./style/index.mjs";
import b from "../config-provider/hooks/useCSSVarCls.mjs";
import { ConfigContext as h } from "../config-provider/context.mjs";
var S = globalThis && globalThis.__rest || function(t, n) {
  var l = {};
  for (var e in t)
    Object.prototype.hasOwnProperty.call(t, e) && n.indexOf(e) < 0 && (l[e] = t[e]);
  if (t != null && typeof Object.getOwnPropertySymbols == "function")
    for (var r = 0, e = Object.getOwnPropertySymbols(t); r < e.length; r++)
      n.indexOf(e[r]) < 0 && Object.prototype.propertyIsEnumerable.call(t, e[r]) && (l[e[r]] = t[e[r]]);
  return l;
};
const v = {
  info: /* @__PURE__ */ o.createElement(g, null),
  success: /* @__PURE__ */ o.createElement(y, null),
  error: /* @__PURE__ */ o.createElement(d, null),
  warning: /* @__PURE__ */ o.createElement(x, null),
  loading: /* @__PURE__ */ o.createElement(E, null)
}, N = (t) => {
  let {
    prefixCls: n,
    type: l,
    icon: e,
    children: r
  } = t;
  return /* @__PURE__ */ o.createElement("div", {
    className: i(`${n}-custom-content`, `${n}-${l}`)
  }, e || v[l], /* @__PURE__ */ o.createElement("span", null, r));
}, j = (t) => {
  const {
    prefixCls: n,
    className: l,
    type: e,
    icon: r,
    content: a
  } = t, m = S(t, ["prefixCls", "className", "type", "icon", "content"]), {
    getPrefixCls: p
  } = o.useContext(h), c = n || p("message"), s = b(c), [f, u, C] = P(c, s);
  return f(/* @__PURE__ */ o.createElement(O, Object.assign({}, m, {
    prefixCls: c,
    className: i(l, u, `${c}-notice-pure-panel`, C, s),
    eventKey: "pure",
    duration: null,
    content: /* @__PURE__ */ o.createElement(N, {
      prefixCls: c,
      type: e,
      icon: r
    }, a)
  })));
}, z = j;
export {
  N as PureContent,
  v as TypeIcon,
  z as default
};
